Package ru.bitel.bgbilling.kernel.network.radius

# Class RadiusAttribute.RadiusAttributeInteger

java.lang.Object
ru.bitel.bgbilling.kernel.network.tlv.Tlv<RadiusAttributeInfo<Integer>,Integer>
ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute<Integer>
ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute.RadiusAttributeInteger

Direct Known Subclasses:
  `RadiusAttribute.RadiusAttributeIpAddr`

Enclosing class:
  `RadiusAttribute<V>`

public static class RadiusAttribute.RadiusAttributeInteger extends RadiusAttribute<Integer>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

  `RadiusAttribute.RadiusAttributeAbinary, RadiusAttribute.RadiusAttributeInteger, RadiusAttribute.RadiusAttributeIpAddr, RadiusAttribute.RadiusAttributeString`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

  `tag`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

  `data, info, length, value`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `RadiusAttributeInteger(int vendor, int type, int value)`
  ``
  `RadiusAttributeInteger(int vendor, int type, int tag, int value)`
  ``
  `RadiusAttributeInteger(RadiusAttributeInfo<Integer> info, int tag, int value)`
  `protected`
  `RadiusAttributeInteger(RadiusAttributeInfo<Integer> info, int tag, ByteBuffer data)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RadiusAttribute.RadiusAttributeInteger`
  `clone()`
  `final int`
  `getIntValue()`
  Deprecated.
  use `Tlv.getValue()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

  `equals, getTag, toString, toString, write`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

  `getData, getDataAsByteArray, getLength, getValue`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RadiusAttributeInteger

    protected RadiusAttributeInteger(RadiusAttributeInfo<Integer> info, int tag, ByteBuffer data)

  - ### RadiusAttributeInteger

    public RadiusAttributeInteger(RadiusAttributeInfo<Integer> info, int tag, int value)

  - ### RadiusAttributeInteger

    public RadiusAttributeInteger(int vendor, int type, int value)

  - ### RadiusAttributeInteger

    public RadiusAttributeInteger(int vendor, int type, int tag, int value)

- ## Method Details

  - ### getIntValue

    @Deprecated public final int getIntValue()
    Deprecated.
    use `Tlv.getValue()`
    Для обратной совместимости.
    Returns:

  - ### clone

    public RadiusAttribute.RadiusAttributeInteger clone()
    Overrides:
      `clone` in class `RadiusAttribute<Integer>`